# ieeeucsd-dev

Development version of the IEEE UC San Diego student branch website.

## Getting Started

Prerequisites:

-   [Bun](https://bun.sh) - Fast all-in-one JavaScript runtime & toolkit

### Installation

1. Clone the repository

```bash
git clone https://github.com/IEEE-UCSD/ieeeucsd-dev.git
cd ieeeucsd-dev
```

2. Install dependencies

```bash
bun install
```

### Development

To start the development server:

```bash
bun run dev
```

This will start the server at `http://localhost:4321`. The page will reload automatically when you make changes.

### Production

To build and start the production server:

```bash
bun run build
bun run start
```

## Built with:

-   [Astro](https://astro.build) - Web framework for content-driven websites
-   [React](https://react.dev) - UI components
-   [TailwindCSS](https://tailwindcss.com) - Styling
-   [MDX](https://mdxjs.com) - Enhanced Markdown
-   [Expressive Code](https://expressive-code.com) - Beautiful code blocks
-   [Node.js Adapter](https://docs.astro.build/en/guides/integrations-guide/node/) - Server-side rendering
